//**********************************************************************************************************************
//
//  NSEvent+ModifierKeys.h
//
//  Author:		Peter Baumgartner, peter@baumgartner.com
//  Copyright:	©2011 by Boinx Software, Ltd. All rights reserved.
//	Abstract:	Accessors for mouse button states
//
//**********************************************************************************************************************


@interface NSEvent (BXModifierKeys)

// Uses a specific event object...

- (BOOL) isShiftKeyDown;
- (BOOL) isControlKeyDown;
- (BOOL) isOptionKeyDown;
- (BOOL) isCommandKeyDown;
- (BOOL) isCapsLockKeyDown;
- (BOOL) isNoModifierKeyDown;

// Uses [NSApp currentEvent]. Was a category on NSApplication...

+ (BOOL) isShiftKeyDown;
+ (BOOL) isControlKeyDown;
+ (BOOL) isOptionKeyDown;
+ (BOOL) isCommandKeyDown;
+ (BOOL) isCapsLockKeyDown;
+ (BOOL) isNoModifierKeyDown;

@end


//----------------------------------------------------------------------------------------------------------------------
